Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1060182

Summary: RFE grub-customizer
Product: [Fedora] Fedora Reporter: delatio <delatio.s>
Component: grub2Assignee: Peter Jones <pjones>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 20CC: bcl, delatio.s, dennis, frankly3d, gczarcinski, lkundrak, mads, pjones, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 753840 Environment:
Last Closed: 2015-06-29 14:54:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description delatio 2014-01-31 11:18:49 UTC
Hello folks, I cloned this bug against fedora 20 because there still isn't an easy configuration menu for grub2. I think people will ask "why would normal users ever want to edit grub2 config?" again, but actually this question is never answered.

The most obvious question that often comes to me from new users to fedora or windows users I convinced to use a linux distribution ist how to change the default entry that is loaded when booting. I can change it in the grub.cfg, but that is not how a normal user wants to change that setting. Is there any possibility to implement an easy way of changing this in future releases?

+++ This bug was initially created as a clone of Bug #753840 +++

Description of problem: The Need to have a simple gui editor for grub2


Version-Release number of selected component (if applicable):
https://answers.launchpad.net/grub-customizer/+faq/1397


This would make edits to grub2, less daunting for both new users to grub2,
and people with shaky hands.

--- Additional comment from Mads Kiilerich on 2011-11-17 16:53:33 EST ---

Why should normal users ever want to edit the grub2 configuration? What tasks should they want to do?

[...]

--- Additional comment from Fedora End Of Life on 2013-02-13 16:12:25 EST ---

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Gene Czarcinski 2014-06-10 19:54:18 UTC
Note:  Anything that directly modifies /boot/grub2/grub.cfg is a mistake and should not be supported.  On the other hand, if there was a gui package which helped to create /etc/grub.d/40_custom menuentries, this could be a good thing and would not involve changeing grub.cfg.  The way to tailor things with grub2 is to use /etc/grub.d/{40_custom,41_custom}

Comment 2 Fedora End Of Life 2015-05-29 10:45:24 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:54:15 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.